For Developers

Get Attendance Entry Source

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/attendance_entry_sources/:attendance_entry_source_id

Retrieve information about a specific Attendance Entry Source.

Request Parameters

ParameterLocationTypeDescription
attendance_entry_source_idurlstringThe UUID of the desired Attendance Entry Source.

Sample Request

axios.get('https://ed.link/api/v2/graph/attendance_entry_sources/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "name": "Avigilon Mullion Smart Reader",
        "type": "id_scanner"
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}